2020-08-15 06:14 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003704Spring engineGeneralpublic2013-04-17 00:38
Reporterabma 
Assigned Toabma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionreopened 
Product Version94.1.1+git 
Target VersionFixed in Version 
Summary0003704: explosions can lift submarines out of water
Descriptionto reproduce in BA:

- build sub
- let an atomic bomber bomb next to sub

-> sub often "jumps" out of water
Additional Informationimo thats physically incorrect... units should just receive damage when below water
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
related to 0003708closedKloot Please use realistic physic drag to solve issue 3704 (do not block impulse) 
+Relationships

-Notes

~0010463

abma (administrator)

a paper about that:

http://traktoria.org/files/underwater_explosion/calculating_the_effect_of_surface_or_underwater_explosions_on_submerged_equipment_and_structures.pdf

:D

~0010464

abma (administrator)

Last edited: 2013-04-16 00:08

View 2 revisions

is my fix correct?
https://github.com/spring/spring/commit/7cfb2a63c71e8c54ea0590a343f540cf96552b8c

~0010466

Kloot (developer)

Yes, but preferably use IsUnderWater() rather than IsInWater().
+Notes

-Issue History
Date Modified Username Field Change
2013-04-15 23:45 abma New Issue
2013-04-15 23:52 abma Note Added: 0010463
2013-04-16 00:05 abma Changeset attached => spring develop 7cfb2a63
2013-04-16 00:05 abma Assigned To => abma
2013-04-16 00:05 abma Status new => resolved
2013-04-16 00:05 abma Resolution open => fixed
2013-04-16 00:08 abma Assigned To abma =>
2013-04-16 00:08 abma Note Added: 0010464
2013-04-16 00:08 abma Status resolved => feedback
2013-04-16 00:08 abma Resolution fixed => reopened
2013-04-16 00:08 abma Note Edited: 0010464 View Revisions
2013-04-16 00:22 Kloot Note Added: 0010466
2013-04-16 00:33 abma Changeset attached => spring develop c5002975
2013-04-16 00:33 abma Assigned To => abma
2013-04-16 00:33 abma Status feedback => resolved
2013-04-16 08:12 abma Relationship added related to 0003708
2013-04-16 08:12 abma Summary exploins can lift subs out of water => explosions can lift submarines out of water
2013-04-17 00:38 abma Changeset attached => spring develop 16d0b107
+Issue History